Skip to content
Last updated

EncryptPassword

Encrypt a string.

Encrypting the same string twice will return different values. You will need to decrypt an encrypted string to compare values.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"EncryptPassword"Required
password2stringThe string to encryptRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'EncryptPassword',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'password2' => 'teststring',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'EncryptPassword';
$postData = array(
    'password2' => 'teststring',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "password": "vNRQzRPKQA6obJpHMHCBivS0D9\/Pf532oArYvewP"
}

Version History

VersionChangelog
1.0Initial Version